# Generated by Django 3.2.14 on 2023-01-12 22:24

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('main', '0114_territorio_ultimo_mutate'),
    ]

    operations = [
        migrations.AlterField(
            model_name='areadeuso',
            name='tipo_area_de_uso',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='areas_de_uso', to='main.tipoareadeuso'),
        ),
        migrations.AlterField(
            model_name='conflito',
            name='tipo_conflito',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='conflitos', to='main.tipoconflito'),
        ),
        migrations.AlterField(
            model_name='device',
            name='usuaria',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='devices', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AlterField(
            model_name='municipio',
            name='estado',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='municipios', to='main.estado'),
        ),
        migrations.AlterField(
            model_name='territorio',
            name='organizacao',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='territorios', to='main.organizacao'),
        ),
        migrations.AlterField(
            model_name='territorio',
            name='revisora',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='territorios_revisora', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AlterField(
            model_name='territorio',
            name='status',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='main.territoriostatus'),
        ),
    ]
